> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get employee form

> Get the form for creating an employee. This form can be rendered dynamically on your frontend to allow your customers to create employees in their HRIS.

Follow our [create employee guide here](/hris/features/create-employee) to learn how this form is generated and how you can use it.
The usage and impact of the staffing\_entity\_id parameter is described in the our [Create Employee Form with Staffing Entities guide](/hris/implementation-guide/staffing-entities-in-create-employee).

### Example Form

```json theme={null}
{
  "properties": {
    "firstName": {
      "type": "text",
      "label": "First Name",
      "required": true,
      "description": "Employee's first name",
      "unified_key": "first_name",
      "min_length": 1,
      "max_length": 100
    },
    "startDate": {
      "type": "date",
      "label": "Start Date",
      "required": true,
      "description": "Employee's start date",
      "unified_key": "start_date"
    },
    "workLocation": {
      "type": "object",
      "label": "Work Location",
      "required": false,
      "description": "Employee's work location",
      "unified_key": null,
      "properties": {
        "site": {
          "type": "single_select",
          "label": "Site",
          "required": true,
          "description": "Employee's site",
          "unified_key": null,
          "options": {
            "type": "inline",
            "entries": [
              {
                "label": "Site 1",
                "id": "FXrER44xubBqA9DLgZ3PFNNx",
                "unified_value": "1",
                "remote_id": "site_1"
              },
              {
                "label": "Site 2",
                "id": "2rv75UKT2XBoQXsUb9agiTUm",
                "unified_value": "2",
                "remote_id": "site_2"
              }
            ]
          }
        },
        "keyNumbers": {
          "type": "array",
          "label": "Key Numbers",
          "required": false,
          "description": "Employee's key numbers",
          "unified_key": null,
          "min_items": 2,
          "max_items": 5,
          "item_type": {
            "type": "number",
            "label": "Key Number",
            "required": false,
            "description": "The number of the keys which belong to the employee",
            "unified_key": null,
            "min": 0,
            "max": 99
          }
        }
      }
    }
  }
}
```


## OpenAPI

````yaml GET /hris/employees/form
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /hris/employees/form:
    get:
      tags:
        - Unified HRIS API
      summary: Get employee form
      description: >-
        Get the form for creating an employee. This form can be rendered
        dynamically on your frontend to allow your customers to create employees
        in their HRIS.


        Follow our [create employee guide here](/hris/features/create-employee)
        to learn how this form is generated and how you can use it.

        The usage and impact of the staffing_entity_id parameter is described in
        the our [Create Employee Form with Staffing Entities
        guide](/hris/implementation-guide/staffing-entities-in-create-employee).


        ### Example Form

        ```json

        {
          "properties": {
            "firstName": {
              "type": "text",
              "label": "First Name",
              "required": true,
              "description": "Employee's first name",
              "unified_key": "first_name",
              "min_length": 1,
              "max_length": 100
            },
            "startDate": {
              "type": "date",
              "label": "Start Date",
              "required": true,
              "description": "Employee's start date",
              "unified_key": "start_date"
            },
            "workLocation": {
              "type": "object",
              "label": "Work Location",
              "required": false,
              "description": "Employee's work location",
              "unified_key": null,
              "properties": {
                "site": {
                  "type": "single_select",
                  "label": "Site",
                  "required": true,
                  "description": "Employee's site",
                  "unified_key": null,
                  "options": {
                    "type": "inline",
                    "entries": [
                      {
                        "label": "Site 1",
                        "id": "FXrER44xubBqA9DLgZ3PFNNx",
                        "unified_value": "1",
                        "remote_id": "site_1"
                      },
                      {
                        "label": "Site 2",
                        "id": "2rv75UKT2XBoQXsUb9agiTUm",
                        "unified_value": "2",
                        "remote_id": "site_2"
                      }
                    ]
                  }
                },
                "keyNumbers": {
                  "type": "array",
                  "label": "Key Numbers",
                  "required": false,
                  "description": "Employee's key numbers",
                  "unified_key": null,
                  "min_items": 2,
                  "max_items": 5,
                  "item_type": {
                    "type": "number",
                    "label": "Key Number",
                    "required": false,
                    "description": "The number of the keys which belong to the employee",
                    "unified_key": null,
                    "min": 0,
                    "max": 99
                  }
                }
              }
            }
          }
        }

        ```
      operationId: GetHrisEmployeesForm
      parameters:
        - in: header
          name: X-Integration-Id
          schema:
            type: string
          description: ID of the integration you want to interact with.
          example: bamboohr:HWUTwvyx2wLoSUHphiWVrp28
          required: true
        - name: staffing_entity_id
          in: query
          required: false
          description: GET /hris/employees/form Parameter
          schema:
            $ref: '#/components/schemas/GetHrisEmployeesFormParameterStaffingEntityId'
      responses:
        '200':
          description: GET /hris/employees/form Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisEmployeesFormPositiveResponse'
              examples:
                example1:
                  value:
                    status: success
                    data:
                      properties:
                        firstName:
                          label: First Name
                          required: true
                          description: Employee's first name
                          unified_key: first_name
                          type: text
                          min_length: 1
                          max_length: 100
                          reg_exp: null
                        startDate:
                          label: Start Date
                          required: true
                          description: Employee's start date
                          unified_key: start_date
                          type: date
                        workLocation:
                          label: Work Location
                          required: false
                          description: Employee's work location
                          unified_key: null
                          type: object
                          properties:
                            site:
                              label: Site
                              required: true
                              description: Employee's site
                              unified_key: null
                              type: single_select
                              options:
                                type: inline
                                entries:
                                  - id: FXrER44xubBqA9DLgZ3PFNNx
                                    label: Site 1
                                    unified_value: '1'
                                    remote_id: site_1
                                  - id: 2rv75UKT2XBoQXsUb9agiTUm
                                    label: Site 2
                                    unified_value: '2'
                                    remote_id: site_2
                            keyNumbers:
                              label: Key Numbers
                              required: false
                              description: Employee's key numbers
                              unified_key: null
                              type: array
                              item_type:
                                label: Key Number
                                required: false
                                description: >-
                                  The number of the keys which belong to the
                                  employee
                                unified_key: null
                                type: number
                                min: 0
                                max: 99
                              min_items: 2
                              max_items: 5
                    warnings:
                      - message: This is an example warning!
        default:
          $ref: '#/components/responses/ErrorResponseHRIS'
      x-codeSamples:
        - lang: python
          label: GetHrisEmployeesForm
          source: |-
            from kombo import Kombo


            with Kombo(
                integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            ) as k_client:

                res = k_client.hris.get_employee_form()

                # Handle response
                print(res)
        - lang: typescript
          label: GetHrisEmployeesForm
          source: |-
            import { Kombo } from "@kombo-api/sdk";

            const kombo = new Kombo({
              integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
              api_key: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await kombo.hris.getEmployeeForm();

              console.log(result);
            }

            run();
        - lang: ruby
          label: GetHrisEmployeesForm
          source: |-
            require 'kombo'

            Models = ::Kombo::Models
            s = ::Kombo::Kombo.new(
              integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
              security: Models::Shared::Security.new(
                api_key: '<YOUR_BEARER_TOKEN_HERE>'
              )
            )
            res = s.hris.get_employee_form

            unless res.get_hris_employees_form_positive_response.nil?
              # handle response
            end
components:
  schemas:
    GetHrisEmployeesFormParameterStaffingEntityId:
      type: string
      minLength: 24
      maxLength: 24
      pattern: ^[1-9A-HJ-NP-Za-km-z]+$
    GetHrisEmployeesFormPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            properties:
              type: object
              additionalProperties:
                discriminator:
                  propertyName: type
                anyOf:
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: text
                      min_length:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                      max_length:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                      reg_exp:
                        type:
                          - string
                          - 'null'
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: number
                      min:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                      max:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: date
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: single_select
                      options:
                        discriminator:
                          propertyName: type
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                const: inline
                              entries:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    label:
                                      type: string
                                    unified_value:
                                      type: string
                                    remote_id:
                                      oneOf:
                                        - type: string
                                        - type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                  required:
                                    - id
                                    - label
                                    - remote_id
                            required:
                              - type
                              - entries
                          - type: object
                            properties:
                              type:
                                type: string
                                const: referenced
                              link:
                                type: string
                            required:
                              - type
                              - link
                    required:
                      - label
                      - required
                      - type
                      - options
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                        const: multi_select
                      min_items:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                      max_items:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                      options:
                        discriminator:
                          propertyName: type
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                const: inline
                              entries:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    label:
                                      type: string
                                    unified_value:
                                      type: string
                                    remote_id:
                                      oneOf:
                                        - type: string
                                        - type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                  required:
                                    - id
                                    - label
                                    - remote_id
                            required:
                              - type
                              - entries
                          - type: object
                            properties:
                              type:
                                type: string
                                const: referenced
                              link:
                                type: string
                            required:
                              - type
                              - link
                    required:
                      - label
                      - required
                      - type
                      - options
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: checkbox
                    required:
                      - label
                      - required
                      - type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: object
                      properties:
                        $ref: '#/components/schemas/Schema1'
                    required:
                      - label
                      - required
                      - type
                      - properties
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: array
                      item_type:
                        $ref: '#/components/schemas/Schema2'
                      min_items:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                      max_items:
                        type:
                          - number
                          - 'null'
                        format: double
                        minimum: -1.7976931348623157e+308
                    required:
                      - label
                      - required
                      - type
                      - item_type
                  - type: object
                    properties:
                      label:
                        type: string
                      required:
                        type: boolean
                      description:
                        type:
                          - string
                          - 'null'
                      unified_key:
                        type:
                          - string
                          - 'null'
                        enum:
                          - first_name
                          - last_name
                          - date_of_birth
                          - gender
                          - home_address.city
                          - home_address.country
                          - home_address.state
                          - home_address.street_1
                          - home_address.street_2
                          - home_address.zip_code
                          - job_title
                          - legal_entity_id
                          - location_id
                          - mobile_phone_number
                          - home_phone_number
                          - nationality
                          - start_date
                          - work_email
                          - private_email
                          - yearly_salary
                      type:
                        type: string
                        const: file
                      file_restrictions:
                        type: object
                        properties:
                          accepted_mime_types:
                            type: array
                            items:
                              type: string
                          max_file_size:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: -1.7976931348623157e+308
                        required:
                          - accepted_mime_types
                    required:
                      - label
                      - required
                      - type
                      - file_restrictions
          required:
            - properties
          examples:
            - properties:
                firstName:
                  label: First Name
                  required: true
                  description: Employee's first name
                  unified_key: first_name
                  type: text
                  min_length: 1
                  max_length: 100
                  reg_exp: null
                startDate:
                  label: Start Date
                  required: true
                  description: Employee's start date
                  unified_key: start_date
                  type: date
                workLocation:
                  label: Work Location
                  required: false
                  description: Employee's work location
                  unified_key: null
                  type: object
                  properties:
                    site:
                      label: Site
                      required: true
                      description: Employee's site
                      unified_key: null
                      type: single_select
                      options:
                        type: inline
                        entries:
                          - id: FXrER44xubBqA9DLgZ3PFNNx
                            label: Site 1
                            unified_value: '1'
                            remote_id: site_1
                          - id: 2rv75UKT2XBoQXsUb9agiTUm
                            label: Site 2
                            unified_value: '2'
                            remote_id: site_2
                    keyNumbers:
                      label: Key Numbers
                      required: false
                      description: Employee's key numbers
                      unified_key: null
                      type: array
                      item_type:
                        label: Key Number
                        required: false
                        description: The number of the keys which belong to the employee
                        unified_key: null
                        type: number
                        min: 0
                        max: 99
                      min_items: 2
                      max_items: 5
        warnings:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: >-
            These are the interaction warnings that are shown in the dashboard.
            They are meant to provide debug information to you. We recommend
            logging them to the console.
      required:
        - status
        - data
        - warnings
    Schema1:
      type: object
      additionalProperties:
        discriminator:
          propertyName: type
        anyOf:
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: text
              min_length:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
              max_length:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
              reg_exp:
                type:
                  - string
                  - 'null'
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: number
              min:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
              max:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: date
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: single_select
              options:
                discriminator:
                  propertyName: type
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        const: inline
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            label:
                              type: string
                            unified_value:
                              type: string
                            remote_id:
                              oneOf:
                                - type: string
                                - type: number
                                  format: double
                                  minimum: -1.7976931348623157e+308
                          required:
                            - id
                            - label
                            - remote_id
                    required:
                      - type
                      - entries
                  - type: object
                    properties:
                      type:
                        type: string
                        const: referenced
                      link:
                        type: string
                    required:
                      - type
                      - link
            required:
              - label
              - required
              - type
              - options
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
              type:
                type: string
                const: multi_select
              min_items:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
              max_items:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
              options:
                discriminator:
                  propertyName: type
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        const: inline
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            label:
                              type: string
                            unified_value:
                              type: string
                            remote_id:
                              oneOf:
                                - type: string
                                - type: number
                                  format: double
                                  minimum: -1.7976931348623157e+308
                          required:
                            - id
                            - label
                            - remote_id
                    required:
                      - type
                      - entries
                  - type: object
                    properties:
                      type:
                        type: string
                        const: referenced
                      link:
                        type: string
                    required:
                      - type
                      - link
            required:
              - label
              - required
              - type
              - options
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: checkbox
            required:
              - label
              - required
              - type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: object
              properties:
                $ref: '#/components/schemas/Schema1'
            required:
              - label
              - required
              - type
              - properties
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: array
              item_type:
                $ref: '#/components/schemas/Schema2'
              min_items:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
              max_items:
                type:
                  - number
                  - 'null'
                format: double
                minimum: -1.7976931348623157e+308
            required:
              - label
              - required
              - type
              - item_type
          - type: object
            properties:
              label:
                type: string
              required:
                type: boolean
              description:
                type:
                  - string
                  - 'null'
              unified_key:
                type:
                  - string
                  - 'null'
                enum:
                  - first_name
                  - last_name
                  - date_of_birth
                  - gender
                  - home_address.city
                  - home_address.country
                  - home_address.state
                  - home_address.street_1
                  - home_address.street_2
                  - home_address.zip_code
                  - job_title
                  - legal_entity_id
                  - location_id
                  - mobile_phone_number
                  - home_phone_number
                  - nationality
                  - start_date
                  - work_email
                  - private_email
                  - yearly_salary
              type:
                type: string
                const: file
              file_restrictions:
                type: object
                properties:
                  accepted_mime_types:
                    type: array
                    items:
                      type: string
                  max_file_size:
                    type:
                      - number
                      - 'null'
                    format: double
                    minimum: -1.7976931348623157e+308
                required:
                  - accepted_mime_types
            required:
              - label
              - required
              - type
              - file_restrictions
    Schema2:
      discriminator:
        propertyName: type
      anyOf:
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: text
            min_length:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
            max_length:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
            reg_exp:
              type:
                - string
                - 'null'
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: number
            min:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
            max:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: date
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: single_select
            options:
              discriminator:
                propertyName: type
              anyOf:
                - type: object
                  properties:
                    type:
                      type: string
                      const: inline
                    entries:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          label:
                            type: string
                          unified_value:
                            type: string
                          remote_id:
                            oneOf:
                              - type: string
                              - type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                        required:
                          - id
                          - label
                          - remote_id
                  required:
                    - type
                    - entries
                - type: object
                  properties:
                    type:
                      type: string
                      const: referenced
                    link:
                      type: string
                  required:
                    - type
                    - link
          required:
            - label
            - required
            - type
            - options
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
            type:
              type: string
              const: multi_select
            min_items:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
            max_items:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
            options:
              discriminator:
                propertyName: type
              anyOf:
                - type: object
                  properties:
                    type:
                      type: string
                      const: inline
                    entries:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          label:
                            type: string
                          unified_value:
                            type: string
                          remote_id:
                            oneOf:
                              - type: string
                              - type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                        required:
                          - id
                          - label
                          - remote_id
                  required:
                    - type
                    - entries
                - type: object
                  properties:
                    type:
                      type: string
                      const: referenced
                    link:
                      type: string
                  required:
                    - type
                    - link
          required:
            - label
            - required
            - type
            - options
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: checkbox
          required:
            - label
            - required
            - type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: object
            properties:
              $ref: '#/components/schemas/Schema1'
          required:
            - label
            - required
            - type
            - properties
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: array
            item_type:
              $ref: '#/components/schemas/Schema2'
            min_items:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
            max_items:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
          required:
            - label
            - required
            - type
            - item_type
        - type: object
          properties:
            label:
              type: string
            required:
              type: boolean
            description:
              type:
                - string
                - 'null'
            unified_key:
              type:
                - string
                - 'null'
              enum:
                - first_name
                - last_name
                - date_of_birth
                - gender
                - home_address.city
                - home_address.country
                - home_address.state
                - home_address.street_1
                - home_address.street_2
                - home_address.zip_code
                - job_title
                - legal_entity_id
                - location_id
                - mobile_phone_number
                - home_phone_number
                - nationality
                - start_date
                - work_email
                - private_email
                - yearly_salary
            type:
              type: string
              const: file
            file_restrictions:
              type: object
              properties:
                accepted_mime_types:
                  type: array
                  items:
                    type: string
                max_file_size:
                  type:
                    - number
                    - 'null'
                  format: double
                  minimum: -1.7976931348623157e+308
              required:
                - accepted_mime_types
          required:
            - label
            - required
            - type
            - file_restrictions
  responses:
    ErrorResponseHRIS:
      description: The standard error response with the error codes for the HRIS use case.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                      - INTEGRATION.PERMISSION_MISSING
                      - INTEGRATION.AUTHENTICATION_INVALID
                      - INTEGRATION.QA_FAILED
                      - INTEGRATION.SETUP_SYNC_PENDING
                      - INTEGRATION.SETUP_INCOMPLETE
                      - INTEGRATION.INACTIVE
                      - INTEGRATION.MODEL_NOT_AVAILABLE
                      - INTEGRATION.MODEL_DISABLED
                      - INTEGRATION.ACTION_NOT_AVAILABLE
                      - INTEGRATION.ACTION_DISABLED
                      - REMOTE.SERVICE_UNAVAILABLE
                      - REMOTE.RATE_LIMIT_EXCEEDED
                      - REMOTE.INPUT_INVALID
                      - REMOTE.UNKNOWN_HTTP_ERROR
                      - HRIS.STAFFING_ENTITY_CLOSED
                      - HRIS.EMPLOYEE_ALREADY_EXISTS
                    example: HRIS.EMPLOYEE_ALREADY_EXISTS
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````